Debian Bug report logs - #695849
RFP: glmark2 -- OpenGL (ES) 2.0 benchmark suite

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dmitry Smirnov <onlyjob@member.fsf.org>

Date: Thu, 13 Dec 2012 12:57:02 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 13 Dec 2012 12:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
New Bug report received and forwarded. Copy sent to pkg-multimedia-maintainers@lists.alioth.debian.org, wnpp@debian.org. (Thu, 13 Dec 2012 12:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: submit@bugs.debian.org
Subject: RFP: glmark2 -- OpenGL (ES) 2.0 benchmark suite
Date: Thu, 13 Dec 2012 23:53:54 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org
X-Debbugs-CC: pkg-multimedia-maintainers@lists.alioth.debian.org

   Package name: glmark2
        Version: 2012-11
Upstream Author: Linaro Limited
            URL: https://launchpad.net/glmark2
        License: GPL-3,Expat,BSD-3-clause
    Description: OpenGL (ES) 2.0 benchmark suite
 glmark2 is a benchmark for OpenGL ES 2.0. It uses only the subset of
 the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
 glmark2 offers a suite of scenes that can be used to measure many
 aspects of OpenGL (ES) 2.0 performance.
 The way in which each scene is rendered is configurable through a set
 of options.

There is a repository with almost completed packaging:

	http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glmark2.git

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 13 Dec 2012 13:15:03 GMT) Full text and rfc822 format available.

Message #8 received at 695849@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>, 695849@bugs.debian.org
Subject: Re: Bug#695849: RFP: glmark2 -- OpenGL (ES) 2.0 benchmark suite
Date: Thu, 13 Dec 2012 14:12:25 +0100
[Message part 1 (text/plain, inline)]
On 2012-12-13 23:53:54, Dmitry Smirnov wrote:
>    Package name: glmark2
>         Version: 2012-11
> Upstream Author: Linaro Limited
>             URL: https://launchpad.net/glmark2
>         License: GPL-3,Expat,BSD-3-clause
>     Description: OpenGL (ES) 2.0 benchmark suite
>  glmark2 is a benchmark for OpenGL ES 2.0. It uses only the subset of
>  the OpenGL 2.0 API that is compatible with OpenGL ES 2.0.
>  glmark2 offers a suite of scenes that can be used to measure many
>  aspects of OpenGL (ES) 2.0 performance.
>  The way in which each scene is rendered is configurable through a set
>  of options.
> 
> There is a repository with almost completed packaging:
> 
> 	http://anonscm.debian.org/gitweb/?p=pkg-multimedia/glmark2.git

So this should be an ITP instead, shouldn't it? You clearly intend to
package it.

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Fri, 14 Dec 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Dec 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #13 received at 695849@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Sebastian Ramacher <sramacher@debian.org>
Cc: 695849@bugs.debian.org
Subject: Re: Bug#695849: RFP: glmark2 -- OpenGL (ES) 2.0 benchmark suite
Date: Fri, 14 Dec 2012 13:51:43 +1100
On Fri, 14 Dec 2012 00:12:25 Sebastian Ramacher wrote:
> So this should be an ITP instead, shouldn't it? You clearly intend to
> package it.

Not just intended to package by I already packaged it so it could be RFS. :)

I know it looks like a mistake but it's not: although packaging is practically 
finished at the moment I can't continue working on it due to limited time.
Therefore I dumped results of my effort in hope that someone might pick it up 
where I left it. Eventually I may return and help maintain it (let's see how 
it goes) but at the moment I'm not going to request sponsorship etc. so the 
package if free for take over.

It is RFP because I no longer (actively) work on it.

Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Fri, 14 Dec 2012 02:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 14 Dec 2012 02:57:03 GMT) Full text and rfc822 format available.

Message #18 received at 695849@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 695849@bugs.debian.org
Subject: Interesting article about glmark2
Date: Fri, 14 Dec 2012 13:53:04 +1100
https://afrantzis.wordpress.com/2011/12/16/glmark2-more-than-a-benchmark/



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Fri, 14 Dec 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #21 received at 695849@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: 695849@bugs.debian.org
Subject: Re: Bug#695849: RFP: glmark2 -- OpenGL (ES) 2.0 benchmark suite
Date: Fri, 14 Dec 2012 18:35:41 +0100
[Message part 1 (text/plain, inline)]
On 2012-12-14 13:51:43, Dmitry Smirnov wrote:
> On Fri, 14 Dec 2012 00:12:25 Sebastian Ramacher wrote:
> > So this should be an ITP instead, shouldn't it? You clearly intend to
> > package it.
> 
> Not just intended to package by I already packaged it so it could be RFS. :)
> 
> I know it looks like a mistake but it's not: although packaging is practically 
> finished at the moment I can't continue working on it due to limited time.
> Therefore I dumped results of my effort in hope that someone might pick it up 
> where I left it. Eventually I may return and help maintain it (let's see how 
> it goes) but at the moment I'm not going to request sponsorship etc. so the 
> package if free for take over.
> 
> It is RFP because I no longer (actively) work on it.

Thanks for clarifying. It wasn't clear to me in the beginning.

Regards
-- 
Sebastian Ramacher
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 03 Jan 2013 13:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 13:03:05 GMT) Full text and rfc822 format available.

Message #26 received at 695849@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org, 695849@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Thu, 3 Jan 2013 14:02:12 +0100
On Thu, Jan 3, 2013 at 1:43 PM, Dmitry Smirnov <onlyjob@member.fsf.org> wrote:
> On Thu, 3 Jan 2013 23:10:15 Reinhard Tartler wrote:
>> On Thu, Dec 13, 2012 at 1:59 PM,  <onlyjob-guest@users.alioth.debian.org>
> wrote:
>> > The following commit has been merged in the master branch:
>> > commit d191a4eb0740b54661c4cc0fc288b79063e822a4
>> > Author: Dmitry Smirnov <onlyjob@member.fsf.org>
>> > Date:   Thu Dec 13 23:59:01 2012 +1100
>> >
>> >     RFP/ITP bug #695849 assigned
>> >
>> > diff --git a/debian/changelog b/debian/changelog
>> > index 9c36013..19d9f30 100644
>> > --- a/debian/changelog
>> > +++ b/debian/changelog
>> > @@ -1,5 +1,5 @@
>> >
>> >  glmark2 (2012.11-1) UNRELEASED; urgency=low
>> >
>> > -  * Initial release (Closes: #).
>> > +  * Initial release (Closes: #695849).
>> >
>> >   -- Dmitry Smirnov <onlyjob@member.fsf.org>  Thu, 13 Dec 2012 23:31:56
>> >   +1100
>>
>
> Sorry Reinhard, I'm a bit confused which package you're talking about --
> "glmark2" or "libdvdcss-pkg"? You quoted one bug but posted to another...

Oh, sorry, I was indeed talking about glmark2. Sorry, for copying the
wrong bug, fixed now.

>
>> TBH, I think this package is (currently) not fit for the
>> pkg-multimedia team for two reasons:
>>
>> a) It does not contain the upstream sources, only the packaging
>> directory debian/ is in the tree
>
> If it is glmark2 it is easy enough to fix if you're concerned about team's
> best practice. Is this so important because of team preference?
> In SVN we usually track only packaging. I think choosing git shouldn't always
> imply git-buildpackage repository layout...

Well, I think consistency in the workflow is important for working
efficiently in a team. Therefore, this point is for me an absolute
requirement for working on the package.

IOW: I do not the svn-buildpackage package layout, and I absolutely hate it.


>> b) It is not backed up by some other pkg-multimedia team member.
>
> Please help me to understand -- because I'm not sure what package you're
> talking about. Do we need at least one team member to back it up?
> Or would you insist on minimum two members?

Yes, I do really think that *every* package in pkg-multimedia should
have *at least* two *active* team members in the Uploaders field.
Everything else indicates that not enough developers in the team care
for the package, which in the end is harmful for pkg-multimedia. We
already a pretty bad maintainer per package ratio, and adding more
poorly-maintained packages does not help at all.

>
>> Dimitry, unless both issues can be fixed, I think collab-maint would
>> serve a much better umbrella than pkg-multimedia.
>
> Although glmark2 is finished I'm a bit reluctant to take responsibility for it
> at this time but I might do it later.
> Package "glmark2" is much related to multimedia and appears to be a good fit
> for a team. Does it make sense to move it to collab-maint for some time? Even
> if not maintained now, it's a new package so perhaps it's not too important
> where it is waiting for maintainer while it is not uploaded yet.
>
> It feels a bit like "finish it or leave"... Speaking about finishing, did you
> have a chance to try it? Do you think it is useful despite failure of some
> opengl (but not opengl-es) tests? If so I'm happy to own ITP even though it
> might not be a right time for me.

Sorry, I neither have time nor interest to investigate glmark2, nor do
I find glmark2 particularly in scope of pkg-multimedia. Moreover, the
svn-buildpackage style packaging already deterred me enough to refrain
me to take a closer look.


-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 03 Jan 2013 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 13:21:06 GMT) Full text and rfc822 format available.

Message #31 received at 695849@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Reinhard Tartler <siretart@gmail.com>
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org, 695849@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Fri, 4 Jan 2013 00:19:09 +1100
On Fri, 4 Jan 2013 00:02:12 Reinhard Tartler wrote:
> 
> Well, I think consistency in the workflow is important for working
> efficiently in a team. Therefore, this point is for me an absolute
> requirement for working on the package.
> 

Yes you're right. I can only agree.

> IOW: I do not the svn-buildpackage package layout, and I absolutely hate
> it.

I'm sure you have your reasons. I'm OK to convert, sorry for troubles.


> >> b) It is not backed up by some other pkg-multimedia team member.
> > 
> > Please help me to understand -- because I'm not sure what package you're
> > talking about. Do we need at least one team member to back it up?
> > Or would you insist on minimum two members?
> 
> Yes, I do really think that *every* package in pkg-multimedia should
> have *at least* two *active* team members in the Uploaders field.
> Everything else indicates that not enough developers in the team care
> for the package, which in the end is harmful for pkg-multimedia. We
> already a pretty bad maintainer per package ratio, and adding more
> poorly-maintained packages does not help at all.

OK, thanks for explaining. I have two concerns though.

This package is not uploaded so it does not affect maintainer per package 
ratio. Not yet.

It doesn't make any sense to move package repository to collab-maint whenever 
there is less than two active maintainers. Wouldn't we push less active 
packages away from pkg-multimedia like this?
You're talking about desirable (ideal) situation.

> 
> >> Dimitry, unless both issues can be fixed, I think collab-maint would
> >> serve a much better umbrella than pkg-multimedia.
> > 
> > Although glmark2 is finished I'm a bit reluctant to take responsibility
> > for it at this time but I might do it later.
> > Package "glmark2" is much related to multimedia and appears to be a good
> > fit for a team. Does it make sense to move it to collab-maint for some
> > time? Even if not maintained now, it's a new package so perhaps it's not
> > too important where it is waiting for maintainer while it is not
> > uploaded yet.
> > 
> > It feels a bit like "finish it or leave"... Speaking about finishing, did
> > you have a chance to try it? Do you think it is useful despite failure
> > of some opengl (but not opengl-es) tests? If so I'm happy to own ITP
> > even though it might not be a right time for me.
> 
> Sorry, I neither have time nor interest to investigate glmark2, nor do
> I find glmark2 particularly in scope of pkg-multimedia. Moreover, the
> svn-buildpackage style packaging already deterred me enough to refrain
> me to take a closer look.

Sorry Reinhard, I didn't know you feel so strong about it. Of course I'll move 
the package to collab-maint if you insist. Otherwise I'll convert its 
repository to git-buildpackage layout so we can decide whenever we want it in 
pkg-multimedia. Thanks.

-- 
Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 03 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 13:33:05 GMT) Full text and rfc822 format available.

Message #36 received at 695849@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Dmitry Smirnov <onlyjob@member.fsf.org>
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org, 695849@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Thu, 3 Jan 2013 14:32:19 +0100
On Thu, Jan 3, 2013 at 2:19 PM, Dmitry Smirnov <onlyjob@member.fsf.org> wrote:
> On Fri, 4 Jan 2013 00:02:12 Reinhard Tartler wrote:

>> >> b) It is not backed up by some other pkg-multimedia team member.
>> >
>> > Please help me to understand -- because I'm not sure what package you're
>> > talking about. Do we need at least one team member to back it up?
>> > Or would you insist on minimum two members?
>>
>> Yes, I do really think that *every* package in pkg-multimedia should
>> have *at least* two *active* team members in the Uploaders field.
>> Everything else indicates that not enough developers in the team care
>> for the package, which in the end is harmful for pkg-multimedia. We
>> already a pretty bad maintainer per package ratio, and adding more
>> poorly-maintained packages does not help at all.
>
> OK, thanks for explaining. I have two concerns though.
>
> This package is not uploaded so it does not affect maintainer per package
> ratio. Not yet.

It does becaus it already uses team ressources:
a) mailing list (commit logs, etc.)
b) clutters the list on http://git.debian.org
c) is already processed by PET: http://pet.debian.net/pkg-multimedia/pet.cgi

BTW, c) is how I came aware of the package: ansgar pinged on irc that
the contained watch file confuses PET, so I implemented his
suggestion.

> It doesn't make any sense to move package repository to collab-maint whenever
> there is less than two active maintainers. Wouldn't we push less active
> packages away from pkg-multimedia like this?

Yes, and I think this is desireable if we do not want pkg-multimedia
to deter to "some other multimedia-related Debian QA"-group. Let's
please leave that for the proper Debian QA group.

> You're talking about desirable (ideal) situation.

I'm not sure if I understand this comment.

>> > It feels a bit like "finish it or leave"... Speaking about finishing, did
>> > you have a chance to try it? Do you think it is useful despite failure
>> > of some opengl (but not opengl-es) tests? If so I'm happy to own ITP
>> > even though it might not be a right time for me.
>>
>> Sorry, I neither have time nor interest to investigate glmark2, nor do
>> I find glmark2 particularly in scope of pkg-multimedia. Moreover, the
>> svn-buildpackage style packaging already deterred me enough to refrain
>> me to take a closer look.
>
> Sorry Reinhard, I didn't know you feel so strong about it. Of course I'll move
> the package to collab-maint if you insist. Otherwise I'll convert its
> repository to git-buildpackage layout so we can decide whenever we want it in
> pkg-multimedia. Thanks.

It's not that I really "insist" on something. I'm wondering what is
the best way to go with the package. While not uploaded yet, it
already does consume considerable team ressources, and since it seems
that nobody else in the team is interested in the package, I feel that
you would have less effort with leaving the packaging style as it is
and just move the repository to collab-maint.

Sorry if my previous mails on the package were too harsh. I strongly
suspect that we have a number of other packages within the team with
the same issues as glmark2. Nevertheless, I do not intend to play the
"team police" game proactively, but only when I stumble upon (obvious)
problems in problematic package. I would appreciate if other active
team members would join this effort.

Happy new year! :-)


-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Thu, 03 Jan 2013 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 03 Jan 2013 14:00:03 GMT) Full text and rfc822 format available.

Message #41 received at 695849@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: Reinhard Tartler <siretart@gmail.com>
Cc: pkg-multimedia-maintainers@lists.alioth.debian.org, 695849@bugs.debian.org
Subject: Re: [SCM] glmark2/master: RFP/ITP bug #695849 assigned
Date: Fri, 4 Jan 2013 00:57:00 +1100
On Fri, 4 Jan 2013 00:32:19 Reinhard Tartler wrote:
> > 
> > It doesn't make any sense to move package repository to collab-maint
> > whenever there is less than two active maintainers. Wouldn't we push
> > less active packages away from pkg-multimedia like this?
> 
> Yes, and I think this is desireable if we do not want pkg-multimedia
> to deter to "some other multimedia-related Debian QA"-group. Let's
> please leave that for the proper Debian QA group.

OK.

> 
> > You're talking about desirable (ideal) situation.
> 
> I'm not sure if I understand this comment.

I meant to say that 2 maintainers per package is ideal and desirable situation 
which is not necessarily true for every single package in team. :)


> 
> >> > It feels a bit like "finish it or leave"... Speaking about finishing,
> >> > did you have a chance to try it? Do you think it is useful despite
> >> > failure of some opengl (but not opengl-es) tests? If so I'm happy to
> >> > own ITP even though it might not be a right time for me.
> >> 
> >> Sorry, I neither have time nor interest to investigate glmark2, nor do
> >> I find glmark2 particularly in scope of pkg-multimedia. Moreover, the
> >> svn-buildpackage style packaging already deterred me enough to refrain
> >> me to take a closer look.
> > 
> > Sorry Reinhard, I didn't know you feel so strong about it. Of course I'll
> > move the package to collab-maint if you insist. Otherwise I'll convert
> > its repository to git-buildpackage layout so we can decide whenever we
> > want it in pkg-multimedia. Thanks.
> 
> It's not that I really "insist" on something. I'm wondering what is
> the best way to go with the package. While not uploaded yet, it
> already does consume considerable team ressources, and since it seems
> that nobody else in the team is interested in the package, I feel that
> you would have less effort with leaving the packaging style as it is
> and just move the repository to collab-maint.

Perhaps not enthusiastically enough I expressed my interest and I'm willing to 
prioritise if you feel that I should. But I'm only one person so I'll move 
glmark2 to collab-maint within few days.
I only regret about my little contribution to the team's existing packages.
Perhaps if I were more active you would be less concerned about 
maintainability...

> Sorry if my previous mails on the package were too harsh. 

Not at all, I think they were straightforward and sincere. :)
I respect that.

> I strongly
> suspect that we have a number of other packages within the team with
> the same issues as glmark2. Nevertheless, I do not intend to play the
> "team police" game proactively, but only when I stumble upon (obvious)
> problems in problematic package. I would appreciate if other active
> team members would join this effort.

No worries.


> 
> Happy new year! :-)

Happy New Year indeed. :)


-- 
Regards,
Dmitry.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#695849; Package wnpp. (Sun, 06 Jan 2013 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 01:03:03 GMT) Full text and rfc822 format available.

Message #46 received at 695849@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 695849@bugs.debian.org
Subject: repository moved to pkg-games
Date: Sun, 6 Jan 2013 11:59:56 +1100
Glmark2 package repository has been moved to pkg-games:

	http://anonscm.debian.org/gitweb/?p=pkg-games/glmark2.git

-- 
Cheers,
 Dmitry

---
What can be asserted without proof can be dismissed without proof. 
		 (Christopher Hitchens, 2004)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:04:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.